<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class ApplicationContent extends ApplicationBase
{	
	// object definition
	protected $obj_admin;
	protected $obj_cv;
	protected $obj_notify;
	protected $obj_date;
	
	private $obj_tcpdf;
	
	function __construct(){ }
	
	function __destruct(){ }
	
	protected function SetPageTemplates(){
		// set page templates
		$this->obj_tmpl->setBasedir(APPPATH.$this->arr_routes['app'].'/'.$this->arr_routes['group'].'/module/'.$this->arr_routes['module'].'/'.$this->arr_routes['page']);		
        $this->obj_tmpl->readTemplatesFromFile('template.html');
	}		
	
	protected function ParseDocumentOutput(){
		/** Out the result as template */
		$this->obj_tmpl->displayParsedTemplate('content');		
	}
	
	protected function PageLoad(){ 
		// themes setting
		// --
		// call function to set page templates
		$this->SetPageTemplates();		
		/* Other object loaded below */
		$this->obj_admin = $this->obj_ctrl->LoadBusiness('administrator', 'mysql', $this->arr_config['db']);
		$this->obj_cv = $this->obj_ctrl->LoadBusiness('curriculum_vitae', 'mysql', $this->arr_config['db']);	
		// library loaded
		$this->obj_notify = $this->obj_ctrl->LoadLibrary('Notification');
		$this->obj_date = $this->obj_ctrl->LoadLibrary('DateTimeManipulation');		
		// load plugins
		$this->obj_ctrl->LoadFile('tcpdf/tcpdf.php', 'plugins');
		$this->obj_tcpdf = $this->obj_ctrl->LoadClass('TCPDF');
	}
	
	public function PageView(){
		// check authority
		//self::CheckAuthority();
		// display notification
		self::DisplayNotification();
		/* display view content */
		self::DisplayIdentitasPribadi();
		// keanggotaan
		//self::DisplayKeanggotaan();
		// variable display
		self::DisplayVariable();
	}
	
	/* 
	| ------------------------------------------------------------------
	| private function to parse output from business class
	| ------------------------------------------------------------------
	*/
	
	private function DisplayNotification(){
		// get session for start notification
		$this->obj_notify->GetMessage();
		// display message	
		$this->obj_notify->DisplayMessage($this->obj_tmpl, 'notification', 'list_notify');
		// last field	
		$this->obj_notify->DisplayLastField($this->obj_tmpl, 'content');
		// clear session when finish
		$this->obj_notify->ClearSession();
	}
	
	private function CheckAuthority(){
		$params = array($this->str_userid, $this->arr_routes['params'][2]);
		if(!$this->obj_admin->CheckAuthorityByCabangAdmin($params)){
			// redirect to view page
			$this->obj_ctrl->RedirectUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view');
		}
	}
	
	private function DisplayVariable(){
		// variable
		$this->obj_tmpl->addVar('content', 'URL_PROCESS', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'process'));
		$this->obj_tmpl->addVar('content', 'URL_REMOTEDATA', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'kota'));
		$this->obj_tmpl->addVar('content', 'URL_VIEW', $this->obj_ctrl->GetUrl($this->arr_routes['app'], $this->arr_routes['group'], $this->arr_routes['module'], 'view'));	
	}
	
	private function DisplayIdentitasPribadi(){
		//$params = array($this->arr_routes['params'][1]);
		$id=$_POST['selector'];
		$N = count($id);
		for($i=0; $i < $N; $i++)
		{
		print_r($id);
		//$this->obj_cv->Debugquery("GetIdentitasPribadiByIdPerson",array($id[$i]));
		$rs_id = $this->obj_cv->GetListDataAnggotaByperson(array($id[$i]));	
		//while($rs = mysql_fetch_assoc($rs_id)){	
		while($data = mysql_fetch_assoc($rs_id)){
		// photo
		$file_photo = "doc/foto/".$data['photo'];
		if(is_file($file_photo))
			$this->obj_tmpl->addVar('list_kta', 'PHOTOPATH', HTTPPATH.$file_photo);
		else
			$this->obj_tmpl->addVar('list_kta', 'PHOTOPATH', HTTPPATH."doc/temp/blank.jpg");	
		// cek notification 
		if(isset($this->obj_notify->arr_message['field'])){
			$result = $this->obj_notify->arr_message['field'];
		}
		print_r( $data['nama_lengkap']);
		// parse data
		//$this->obj_tmpl->addVar('list_kta', 'PAGE', $this->arr_routes['params'][0]);
		//$this->obj_tmpl->addVar('list_kta', 'ID_PERSON', $this->arr_routes['params'][1]);
		//$this->obj_tmpl->addVar('list_kta', 'ID_CABANG', $this->arr_routes['params'][2]);
		$this->obj_tmpl->addVar('list_kta', 'NAMA_LENGKAP', $data['nama_lengkap']);	
		$this->obj_tmpl->addVar('list_kta', 'TEMPAT_LAHIR', $data['tempat_lahir']);	
		$this->obj_tmpl->addVar('list_kta', 'PREFIX', $data['prefix']);	
		$this->obj_tmpl->addVar('list_kta', 'SUFFIX', $data['suffix']);	
		$this->obj_tmpl->addVar('list_kta', 'ALAMAT', $data['alamat']);	
		$this->obj_tmpl->addVar('list_kta', 'KOTA', $data['kota']);	
		$this->obj_tmpl->addVar('list_kta', 'KODEPOS', $data['kodepos']);	
		$this->obj_tmpl->addVar('list_kta', 'TELEPON', $data['telepon']);
		$this->obj_tmpl->addVar('list_kta', 'NO_HP', $data['no_hp']);
		$this->obj_tmpl->addVar('list_kta', 'TANGGAL_LAHIR', $this->obj_date->GetFullDate($data['tanggal_lahir']));
	
	}
	}
	}
	
	private function DisplayKeanggotaan(){
		// get data anggota
		$id=$_POST['selector'];
		$N = count($id);
		for($i=0; $i < $N; $i++)
		{
		$result = $this->obj_cv->GetDataKeanggotaanByIdPerson(array($id[$i]));
		if(isset($this->obj_notify->arr_message['field'])){
			$result = $this->obj_notify->arr_message['field'];
		}
		$style = array(
						'position' => 'R',
						'align' => 'C',
						'stretch' => true,
						'fitwidth' => true,
						'border' => true,
						'padding' => 1,
						'fgcolor' => array(0,0,0),
						'bgcolor' => false, //array(255,255,255),
						'text' => true,
						'font' => 'helvetica',
						'fontsize' => 8,
						'stretchtext' => 4
					);
		
		
		
		
					// CODE 128 A
						//$this->obj_tcpdf->Cell(30, 0, 'CODE 128 A', 0, 1);
		$barcode = $this->obj_tcpdf->write1DBarcode($result['no_anggota'], 'C128', 0, 72, '', 15, 0.3, $style, 'N');
		print_r($barcode);
		$this->obj_tmpl->addVar('content', 'BARCODE', $barcode);
		$this->obj_tmpl->addVar('content', 'NO_IDI', $result['no_idi']);
		$this->obj_tmpl->addVar('content', 'NO_ANGGOTA', $result['no_anggota']);
		$this->obj_tmpl->addVar('content', 'STATUS_ANGGOTA', $result['status_anggota']);
		$this->obj_tmpl->addVar('content', 'CABANG', $result['cabang']);
	}
	}
}

?>